import { Locale as AntdLocale } from 'antd/lib/locale-provider';
export declare type LocaleDirection = 'rtl' | 'ltr';
export interface LocaleConfigOption {
    caption: string;
    antdLocale: AntdLocale;
    direction?: LocaleDirection;
    messages?: Record<string, string>;
}
export interface LocaleConfig extends LocaleConfigOption {
    messages: Record<string, string>;
    direction: LocaleDirection;
}
export declare class I18nStore {
    static LOCALE_STORAGE_KEY: string;
    localeConfigs: {
        [locale: string]: LocaleConfig;
    };
    currentLocale: string;
    private storage;
    constructor(localeConfigOptions: Record<string, LocaleConfigOption>, defaultLocale: string);
    private setLocaleConfigs;
    mergeMessages: (locale: string, messages: Record<string, string>) => void;
    setCurrentLocale: (locale: string) => void;
    get currentMessages(): Readonly<Record<string, string>>;
}
